Bug 806426 - curl --progress-bar is too verbose on s390 (x3270 terminal)
curl --progress-bar is too verbose on s390 (x3270 terminal)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
17
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
:
Depends On: 802788
Blocks: 799508 814713 fedora19rtt
  Show dependency treegraph
 
Reported: 2012-03-23 13:30 EDT by Will Woods
Modified: 2013-08-01 16:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 802788
: 814713 (view as bug list)
Environment:
Last Closed: 2013-08-01 16:01:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
work in progress (11.38 KB, patch)
2012-04-06 09:09 EDT, Kamil Dudka
no flags Details | Diff

  None (edit)
Description Will Woods 2012-03-23 13:30:07 EDT
Basically, if I understand correctly: on s390, TERM=dumb. And dumb terminals are so dumb they don't even understand "\r". So curl needs to do something smarter (or, perhaps, dumber) when TERM=dumb.

+++ This bug was initially created as a clone of Bug #802788 +++

Description of problem:
Downloading a rootfs image via http/ftp is too verbose when running on s390x via x3270 terminal. See attached boot log [in #802788] from the installation.
Comment 1 Kamil Dudka 2012-04-02 07:24:53 EDT
raised upstream:

http://thread.gmane.org/gmane.comp.web.curl.general/12769
Comment 2 Kamil Dudka 2012-04-06 09:09:51 EDT
Created attachment 575742 [details]
work in progress

The attached patch uses libtinfo to detect the $TERM capability to interpret the \r character, if compiled with --with-tinfo.  Some review comments are available here:

http://thread.gmane.org/gmane.comp.web.curl.general/12769/focus=12774
http://thread.gmane.org/gmane.comp.web.curl.general/12769/focus=12776

Now the problem is that the terminfo database lists a working \r for TERM=dumb.  Therefore, the attached patch does not solve the reported problem on its own.

An alternative approach would be to implement an option of curl to enable the simplified progress bar mode explicitly.
Comment 3 Harald Hoyer 2012-09-27 11:12:50 EDT
disabled any status bar for now...
Comment 4 Fedora End Of Life 2013-07-04 03:39:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 16:02:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.